CREATE TABLE BANK_USERS(
	USER_NUMBER NUMBER(9) PRIMARY KEY,
	USERNAME VARCHAR(100) UNIQUE NOT NULL,
	PASSWORD VARCHAR(100) UNIQUE NOT NULL,
	EMPLOYEE_ID NUMBER(5)
	);


CREATE TABLE BANK_ACCOUNTS(
	ACCOUNT_NUMBER NUMBER(9) PRIMARY KEY,
	USERNAME VARCHAR(100) REFERENCES BANK_USERS(USERNAME),
	ACCOUNT_BALANCE NUMBER(5,2),
	ACCOUNT_STATUS VARCHAR(100) DEFAULT 'PENDING'
);


 INSERT INTO BANK_USERS (USER_NUMBER, USERNAME, PASSWORD, EMPLOYEE_ID) VALUES (1, 'UzamkiNaruto', 'BELIEVEit', NULL);
 INSERT INTO BANK_USERS (USER_NUMBER, USERNAME, PASSWORD, EMPLOYEE_ID) VALUES (2, 'UchihaSauske', 'tooCOOL', NULL);
 INSERT INTO BANK_USERS (USER_NUMBER, USERNAME, PASSWORD, EMPLOYEE_ID) VALUES (3, 'SenseiJiraiya', 'pervySAGE', 69690);
 INSERT INTO BANK_USERS (USER_NUMBER, USERNAME, PASSWORD, EMPLOYEE_ID) VALUES (4, 'KakasheSensei', 'CHIDORI', 06969);


INSERT INTO BANK_ACCOUNTS (ACCOUNT_NUMBER, USERNAME, ACCOUNT_BALANCE, ACCOUNT_STATUS) VALUES (10,'UzamkiNaruto', 3.00, 'ACCEPTED');
INSERT INTO BANK_ACCOUNTS (ACCOUNT_NUMBER, USERNAME, ACCOUNT_BALANCE, ACCOUNT_STATUS) VALUES (11,'UchihaSauske', 250.00, 'ACCEPTED');
INSERT INTO BANK_ACCOUNTS (ACCOUNT_NUMBER, USERNAME, ACCOUNT_BALANCE, ACCOUNT_STATUS) VALUES (12,'SenseiJiraiya', 110.00, 'ACCEPTED');
INSERT INTO BANK_ACCOUNTS (ACCOUNT_NUMBER, USERNAME, ACCOUNT_BALANCE, ACCOUNT_STATUS) VALUES (13,'KakasheSensei', 231.60, 'ACCEPTED');
INSERT INTO BANK_ACCOUNTS (ACCOUNT_NUMBER, USERNAME, ACCOUNT_BALANCE, ACCOUNT_STATUS) VALUES (14,'UzamkiNaruto', 100.00, 'PENDING');
INSERT INTO BANK_ACCOUNTS (ACCOUNT_NUMBER, USERNAME, ACCOUNT_BALANCE, ACCOUNT_STATUS) VALUES (15,'UchihaSauske', 100.00, 'PENDING');
INSERT INTO BANK_ACCOUNTS (ACCOUNT_NUMBER, USERNAME, ACCOUNT_BALANCE, ACCOUNT_STATUS) VALUES (16,'SenseiJiraiya', 700.00, 'ACCEPTED');
INSERT INTO BANK_ACCOUNTS (ACCOUNT_NUMBER, USERNAME, ACCOUNT_BALANCE, ACCOUNT_STATUS) VALUES (17,'KakasheSensei', 950.00, 'ACCEPTED');


/*View Customer Accounts Queries

SELECT ACCOUNT_NUMBER, ACCOUNT_BALANCE, ACCOUNT_STATUS
FROM BANK_ACCOUNTS ba 
WHERE USERNAME = 'UzamkiNaruto';

SELECT ACCOUNT_NUMBER, ACCOUNT_BALANCE, ACCOUNT_STATUS
FROM BANK_ACCOUNTS ba 
WHERE USERNAME = 'UchihaSauske';

SELECT ACCOUNT_NUMBER, ACCOUNT_BALANCE, ACCOUNT_STATUS
FROM BANK_ACCOUNTS ba 
WHERE USERNAME = 'SenseiJiraiya';

SELECT ACCOUNT_NUMBER, ACCOUNT_BALANCE, ACCOUNT_STATUS
FROM BANK_ACCOUNTS ba 
WHERE USERNAME = 'KakasheSensei';
*/

